Package org.opensaml.saml.saml2.core

# Interface SubjectConfirmationData

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `KeyInfoConfirmationDataType`

All Known Implementing Classes:
  `KeyInfoConfirmationDataTypeImpl`, `SubjectConfirmationDataImpl`

public interface SubjectConfirmationData extends SAMLObject, ElementExtensibleXMLObject, AttributeExtensibleXMLObject
SAML 2.0 Core SubjectConfirmationData.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADDRESS_ATTRIB_NAME`
Address attribute name.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`IN_RESPONSE_TO_ATTRIB_NAME`
InResponseTo attribute name.
`static final String`
`NOT_BEFORE_ATTRIB_NAME`
NotBefore attribute name.
`static final QName`
`NOT_BEFORE_ATTRIB_QNAME`
QName for the NotBefore attribute.
`static final String`
`NOT_ON_OR_AFTER_ATTRIB_NAME`
Name for the NotOnOrAfter attribute.
`static final QName`
`NOT_ON_OR_AFTER_ATTRIB_QNAME`
QName for the NotOnOrAfter attribute.
`static final String`
`RECIPIENT_ATTRIB_NAME`
Recipient attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAddress()`
Gets the IP address to which this information may be pressented.
`String`
`getInResponseTo()`
Gets the message ID this is in response to.
`Instant`
`getNotBefore()`
Gets the time before which this subject is not valid.
`Instant`
`getNotOnOrAfter()`
Gets the time at, or after, which this subject is not valid.
`String`
`getRecipient()`
Gets the recipient of this subject.
`void`
`setAddress(String newAddress)`
Sets the IP address to which this information may be pressented.
`void`
`setInResponseTo(String newInResponseTo)`
Sets the message ID this is in response to.
`void`
`setNotBefore(Instant newNotBefore)`
Sets the time before which this subject is not valid.
`void`
`setNotOnOrAfter(Instant newNotOnOrAfter)`
Sets the time at, or after, which this subject is not valid.
`void`
`setRecipient(String newRecipient)`
Sets the recipient of this subject.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NOT_BEFORE_ATTRIB_NAME

@Nonnull @NotEmpty static final String NOT_BEFORE_ATTRIB_NAME
NotBefore attribute name.

See Also:
  - Constant Field Values

### NOT_BEFORE_ATTRIB_QNAME

@Nonnull static final QName NOT_BEFORE_ATTRIB_QNAME
QName for the NotBefore attribute.

### NOT_ON_OR_AFTER_ATTRIB_NAME

@Nonnull @NotEmpty static final String NOT_ON_OR_AFTER_ATTRIB_NAME
Name for the NotOnOrAfter attribute.

See Also:
  - Constant Field Values

### NOT_ON_OR_AFTER_ATTRIB_QNAME

@Nonnull static final QName NOT_ON_OR_AFTER_ATTRIB_QNAME
QName for the NotOnOrAfter attribute.

### RECIPIENT_ATTRIB_NAME

@Nonnull @NotEmpty static final String RECIPIENT_ATTRIB_NAME
Recipient attribute name.

See Also:
  - Constant Field Values

### IN_RESPONSE_TO_ATTRIB_NAME

@Nonnull @NotEmpty static final String IN_RESPONSE_TO_ATTRIB_NAME
InResponseTo attribute name.

See Also:
  - Constant Field Values

### ADDRESS_ATTRIB_NAME

@Nonnull @NotEmpty static final String ADDRESS_ATTRIB_NAME
Address attribute name.

See Also:
  - Constant Field Values

## Method Details

### getNotBefore

@Nullable Instant getNotBefore()
Gets the time before which this subject is not valid.

Returns:
  the time before which this subject is not valid

### setNotBefore

void setNotBefore(@Nullable Instant newNotBefore)
Sets the time before which this subject is not valid.

Parameters:
  `newNotBefore` - the time before which this subject is not valid

### getNotOnOrAfter

@Nullable Instant getNotOnOrAfter()
Gets the time at, or after, which this subject is not valid.

Returns:
  the time at, or after, which this subject is not valid

### setNotOnOrAfter

void setNotOnOrAfter(@Nullable Instant newNotOnOrAfter)
Sets the time at, or after, which this subject is not valid.

Parameters:
  `newNotOnOrAfter` - the time at, or after, which this subject is not valid

### getRecipient

@Nullable String getRecipient()
Gets the recipient of this subject.

Returns:
  the recipient of this subject

### setRecipient

void setRecipient(@Nullable String newRecipient)
Sets the recipient of this subject.

Parameters:
  `newRecipient` - the recipient of this subject

### getInResponseTo

@Nullable String getInResponseTo()
Gets the message ID this is in response to.

Returns:
  the message ID this is in response to

### setInResponseTo

void setInResponseTo(@Nullable String newInResponseTo)
Sets the message ID this is in response to.

Parameters:
  `newInResponseTo` - the message ID this is in response to

### getAddress

@Nullable String getAddress()
Gets the IP address to which this information may be pressented.

Returns:
  the IP address to which this information may be pressented

### setAddress

void setAddress(@Nullable String newAddress)
Sets the IP address to which this information may be pressented.

Parameters:
  `newAddress` - the IP address to which this information may be pressented